PX_GET_DATA_LONG(3)

NAME
PX_get_data_long — Get long data field

SYNOPSIS

#include <paradox.h>

int PX_get_data_long(pxdoc_t *pxdoc, char *data, int len, long *value)

DESCRIPTION

Converts a data field as it stored in the database file into a long integer for the host architecture. You should use this function instead of accessing the data directly.

data points to the start of the data field in the record. It must be calculated by summing up all field length before the field to operate on and add it to the base pointer of the record.

    Note:

    This function is deprecated and obsolete if PX_retrieve_record(3) is used.

RETURN VALUE

Returns 0 if the value is NULL, -1 in case of an error and 1 otherwise.

SEE ALSO

PX_get_data_byte(3), PX_get_data_short(3), PX_get_data_double(3), PX_get_data_alpha(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.